# rails-eos

Some very simple file IO to make your Rails life easier.


## Installing

<hr>

Install the gem with:

```console
$ gem install rails-eos
```

<br>
## Getting Started

<hr>

Generate a new rails project:

```console
$ eos start newapp
```

then:

```console
$ cd newapp
```

finally:

```console
$ eos convert
```

and you're done!

<br>

## What it does
<hr>

Here's what Eos will change in your project:

- Replaces Gemfile.
- Views converted to HAML 
- Creates Home Controller. 
- Creates first Route. 
- Creates Guardfile. 
- Installs Simple Form.
- Installs Rspec.
- installs Cucumber.
- Installs LiveReload.
- Installs Bower.

Other Notes:

- Devise has been included but not installed.
- Bower assets are installed into vendor/assets/components.
- Bower components have been added to gitignore - you may want to change this for production.
- Check out https://coderwall.com/p/6bmygq or https://gist.github.com/afeld/5704079 for getting bower into production.
- You can start the server with `bundle exec guard` and find your app at localhost:5878


## Roadmap

By 1.0 eos-rails will most likely have:

- Bower integration ready for production out of the box
- A devise booster
- A new asset pack just for rails. incl (agnostic styles, simple alerts and some js starter files)

